IValueCell

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface IValueCell

    com.change_vision.jude.api.inf.presentation.IValueCell

All Implemented Interfaces:
  ICell, IHyperlinkOwner, IPresentation

public IValueCell
extends ICell

Interface for CRUD value cell.

Method Summary
`abstract Color` | `getColor()` Get Color.
`abstract String` | `getValue()` Get Value.
`abstract boolean` | `isCreate()` Check if Create is specified.
`abstract boolean` | `isDelete()` Check if Delete is specified.
`abstract boolean` | `isRead()` Check if Read is specified.
`abstract boolean` | `isUpdate()` Check if Update is specified.

Methods inherited from class com.change_vision.jude.api.inf.presentation.IPresentation
`getID`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getValue

    public abstract String getValue()

  Get Value.

  Returns:
    String Value. Return empty string("") if there is none.

### isCreate

    public abstract boolean isCreate()

  Check if Create is specified.

  Returns:
    true "C" is specified / false "C" is not specified

### isRead

    public abstract boolean isRead()

  Check if Read is specified.

  Returns:
    true "R" is specified / false "R" is not specified

### isUpdate

    public abstract boolean isUpdate()

  Check if Update is specified.

  Returns:
    true "U" is specified / false "U" is not specified

### isDelete

    public abstract boolean isDelete()

  Check if Delete is specified.

  Returns:
    true "D" is specified / false "D" is not specified

### getColor

    public abstract Color getColor()

  Get Color.

  Returns:
    Color. Return NULL if color is not set.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD